USN-6110-1

See a problem?
Source
https://ubuntu.com/security/notices/USN-6110-1
Import Source
https://github.com/canonical/ubuntu-security-notices/blob/main/osv/USN-6110-1.json
JSON Data
https://api.osv.dev/v1/vulns/USN-6110-1
Related
Published
2023-05-29T09:11:19.658912Z
Modified
2023-05-29T09:11:19.658912Z
Summary
Jhead vulnerabilities
Details

It was discovered that Jhead did not properly handle certain crafted Canon images when processing them. An attacker could possibly use this issue to crash Jhead, resulting in a denial of service. This issue only affected Ubuntu 14.04 LTS, Ubuntu 16.04 LTS, Ubuntu 18.04 LTS, and Ubuntu 20.04 LTS. (CVE-2021-3496)

It was discovered that Jhead did not properly handle certain crafted images when printing Canon-specific information. An attacker could possibly use this issue to crash Jhead, resulting in a denial of service. This issue only affected Ubuntu 20.04. (CVE-2021-28275)

It was discovered that Jhead did not properly handle certain crafted images when removing unknown sections. An attacker could possibly use this issue to crash Jhead, resulting in a denial of service. This issue only affected Ubuntu 14.04 LTS, Ubuntu 16.04 LTS, Ubuntu 18.04 LTS, and Ubuntu 20.04 LTS. (CVE-2021-28277)

Kyle Brown discovered that Jhead did not properly handle certain crafted images when editing their comments. An attacker could possibly use this to crash Jhead, resulting in a denial of service. (LP: #2020068)

References

Affected packages

Ubuntu:Pro:14.04:LTS / jhead

Package

Name
jhead

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected
Fixed
1:2.97-1+deb8u2ubuntu0.1~esm3

Ecosystem specific

{
    "availability": "Available with Ubuntu Pro: https://ubuntu.com/pro",
    "binaries": [
        {
            "jhead": "1:2.97-1+deb8u2ubuntu0.1~esm3"
        }
    ]
}

Ubuntu:Pro:22.04:LTS / jhead

Package

Name
jhead

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected
Fixed
1:3.06.0.1-2ubuntu0.22.04.1+esm1

Ecosystem specific

{
    "availability": "Available with Ubuntu Pro: https://ubuntu.com/pro",
    "binaries": [
        {
            "jhead": "1:3.06.0.1-2ubuntu0.22.04.1+esm1"
        }
    ]
}

Ubuntu:Pro:16.04:LTS / jhead

Package

Name
jhead

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected
Fixed
1:3.00-4+deb9u1ubuntu0.1~esm3

Ecosystem specific

{
    "availability": "Available with Ubuntu Pro: https://ubuntu.com/pro",
    "binaries": [
        {
            "jhead": "1:3.00-4+deb9u1ubuntu0.1~esm3"
        }
    ]
}

Ubuntu:Pro:18.04:LTS / jhead

Package

Name
jhead

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected
Fixed
1:3.00-8~ubuntu0.2+esm1

Ecosystem specific

{
    "availability": "Available with Ubuntu Pro: https://ubuntu.com/pro",
    "binaries": [
        {
            "jhead": "1:3.00-8~ubuntu0.2+esm1"
        }
    ]
}

Ubuntu:Pro:20.04:LTS / jhead

Package

Name
jhead

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected
Fixed
1:3.04-1ubuntu0.2+esm1

Ecosystem specific

{
    "availability": "Available with Ubuntu Pro: https://ubuntu.com/pro",
    "binaries": [
        {
            "jhead": "1:3.04-1ubuntu0.2+esm1"
        }
    ]
}